Bug 165567 - [PATCH] devel/boost-libs: fix use with clang
[PATCH] devel/boost-libs: fix use with clang
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 22:50 UTC by Baptiste Daroussin
Modified: 2012-03-02 11:00 UTC (History)
1 user (show)

See Also:


Attachments
boost-libs-1.45.0_2.patch (1.06 KB, patch)
2012-02-29 22:50 UTC, Baptiste Daroussin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste Daroussin freebsd_committer 2012-02-29 22:50:12 UTC
This fixes uses with clang, see https://svn.boost.org/trac/boost/ticket/6636
this is necessary for libreoffice 3.5

Added file(s):
- files/patch-boost__config__compiler__clang.hpp

Port maintainer (churanov.port.maintainer@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2012-02-29 22:50:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-02-29 22:50:25 UTC
Maintainer of devel/boost-libs,

Please note that PR ports/165567 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/165567

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-02-29 22:50:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 alexanderchuranov 2012-03-01 12:07:31 UTC
I've reviewed the patch and approve it.

Alexander Churanov,
mainatainer of devel/boost-*
Comment 5 Baptiste Daroussin freebsd_committer 2012-03-02 10:58:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter freebsd_committer 2012-03-02 10:58:27 UTC
bapt        2012-03-02 10:57:46 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost-libs     Makefile 
  Added files:
    devel/boost-libs/files 
                           patch-boost__config__compiler__clang.hpp 
  Log:
  add BOOST_HAS_LONG_LONG to clang.hpp this fix code using boost and being built with clang
  Also reported and comitted upstream (https://svn.boost.org/trac/boost/ticket/6636 thanks dim@)
  
  PR:             ports/165567
  Submitted by:   bapt@ (myself)
  Approved by:    Alexander Churanov <alexanderchuranov@gmail.com> (maintainer) miwi@ (responsible of the PR)
  
  Revision  Changes    Path
  1.11      +1 -1      ports/devel/boost-libs/Makefile
  1.1       +8 -0      ports/devel/boost-libs/files/patch-boost__config__compiler__clang.hpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"